﻿''' <summary>
''' Sample Interface for a WCF Service that receives case notification messages.
''' </summary>
''' <remarks>
'''</remarks>
<ServiceContract(Namespace:="http://your.namespace"), XmlSerializerFormat(Style:=OperationFormatStyle.Document, Use:=OperationFormatUse.Literal)>
Public Interface IBondNotificationReceiverService_3_3
    ''' <summary>
    ''' Interface for method to receive a case notification message.
    ''' The method name can be anything.   The Action value has to match value for the service.
    ''' This method receives the message as XML.   
    ''' Note: the CaseNotificationReceiverService receives its messages as an Object which could also be an option for this service.
    ''' </summary>
    ''' <param name="BondNotificationMessage"></param>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <OperationContract(Action:="http://www.courts.state.mn.us/IS/02/BondNotification", ReplyAction:="http://www.courts.state.mn.us/IS/02/BondNotificationResponse")>
    Function ReceiveBondNotification(ByVal BondNotificationMessage As BondNotificationMessage_3_3) As BondNotificationReceivedMessage_3_3
End Interface


''' <summary>
''' BondNotification message definition.   The message classes in the Msc.Integration.CourtXML namespace are generated from the schema using xsd.exe.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class BondNotificationMessage_3_3
    '<MessageBodyMember(Namespace:="http://www.courts.state.mn.us/CourtXML/3", Name:="BondNotification")> Public BondNotification As Msc.Integration.CourtXML.BondNotification_3_3.BondNotification
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/CourtXML/3", Name:="BondNotification")> Public BondNotification As System.Xml.XmlElement
End Class

''' <summary>
''' Response message definition.
''' </summary>
''' <remarks></remarks>
<MessageContract(IsWrapped:=False)> _
Public Class BondNotificationReceivedMessage_3_3
    <MessageBodyMember(Namespace:="http://www.courts.state.mn.us/IS/02/", Name:="MessageReceived")> Public MessageReceived As Boolean
End Class

